## net.sf.saxon.expr.number
Class IrregularGroupFormatter

    java.lang.Object
      net.sf.saxon.expr.number.NumericGroupFormatter
          net.sf.saxon.expr.number.IrregularGroupFormatter

All Implemented Interfaces:
  Serializable

    public class IrregularGroupFormatter

extends NumericGroupFormatter

See Also:
  Serialized Form

Constructor Summary
`IrregularGroupFormatter(int[] pos, int[] sep)`

Method Summary
`String` `format(FastStringBuffer value)` Reformat a number to add grouping separators
`String` `getSeparator()` Get the grouping separator to be used.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IrregularGroupFormatter

    public IrregularGroupFormatter(int[] pos,
                                   int[] sep)

Method Detail

### format

    public String format(FastStringBuffer value)

  Description copied from class: `NumericGroupFormatter`
  Reformat a number to add grouping separators

  Specified by:
    `format` in class `NumericGroupFormatter`
  Parameters:
    `value` - a buffer holding the number to be reformatted
  Returns:
    the reformatted number

### getSeparator

    public String getSeparator()

  Get the grouping separator to be used. If more than one is used, return the last. If no grouping separators are used, return null

  Specified by:
    `getSeparator` in class `NumericGroupFormatter`
  Returns:
    the grouping separator

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.